import { registerAs } from '@nestjs/config';
import { Config } from './config';

export interface AuthConfig extends Config {
  encryptionAlgorithm: string;
}

export default registerAs('match', () => ({
  encryptionAlgorithm: process.env.ENCRYPTION_ALGORITHM ?? 'BCRYPT',
}));
